Subject: Re: zsh and status access violation
From: Earnie Boyd <[email-masked]>
To: Johannes "M�hner" <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Tue, 16 May 2000 07:08:07 -0700 (PDT)

--- Johannes Mähner <[email-masked]> wrote:
> Hi!
> 
> You gave me the advice to use gdb to examine
> the status access violation of zsh.
> 
> After gdb has become my friend ;-), I was able
> to locate the the source line which yields the status access violation.
> (See below)
> 
> But I don't know what to do with this information!
> Can I post this to the cygwin-mailing-list?
> What would you do in my case?
> 
> Thanks for your comments!
> ------------------------------------------------------------------------
> Version: zsh-3.1.7-pre-3
> module: exec.c
> function: execcmd(Estate state, int input, int output, int how, int
> last1)
> source environment of status access violation:
>         ...    ...
> -	1952		if ((pid = zfork()) == -1) { 
> -	1953		    close(synch[0]);
> -	1954		    close(synch[1]);
> -	1955		    return;
>  	1956		} 
> -	1957		if (pid) {
> 	1958		    close(synch[1]);
> -	1959	>>>>	    read(synch[0], &dummy, 1); => STATUS ACCESS
> VIOLATION

You'll have to look at the values of synch[0] and dummy.  My guess is that
dummy has a 0x0 value which means that your trying to access an invalid memory
location.  You'll then have to determine why it has the value 0x0 and either
resolve that or condition the read so that it is called only if dummy has a
value.

> -	1960		    close(synch[0]);
>  	1961	#ifdef PATH_DEV_FD
>  	1962		    closem(2);
>  	1963	#endif
>         ...    ...
> 
> zsh.exe.stackdump:
> Exception: STATUS_ACCESS_VIOLATION at eip=0040ED43
> eax=1A4709B0 ebx=0263FD00 ecx=7FFDE000 edx=00000000 esi=0041E86C
> edi=0A042128
> ebp=0263FA64 esp=0263F0EC program=D:\zsh-3.1.7-pre-3\src\zsh.exe
> cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
> Stack trace:
> Frame     Function  Args
> 0263FA64  00414999  (0A04E7D0, 00000000, 00000000, 00413618)
> 0263FB84  00414999  (0263FCF4, 00000000, 00000000, 00000012)
> 0263FBE4  004110BB  (0263FCF4, 00000083, 00000012, 00000000)
> 0263FC74  004104EF  (0263FCF4, 00000C02, 00000012, 00000000)
> 0263FCD4  0040FEA9  (0263FCF4, 00000000, 00000000, 004461F9)
> 0263FD04  0040FBA6  (1A470970, 00000000, 00000000, 00426F2A)
> 0263FD44  00427025  (00000001, 00000000, 0263FD84, 00401266)
> 0263FD84  00401272  (00000001, 0A042128, 0A040008, 00000000)
> 0263FF00  610022E5  (7FFDF000, 00090028, 029DABFC, 77FAD0E8)
> 0263FF60  61002735  (004D3D40, 8013DDE4, 0263FF90, 004C3DEA)
> 0263FF90  004C3DF7  (0040107C, 8063F3E0, 00000000, 8063F3E0)
> 0263FFC0  0040103B  (029DABFC, 00090028, 7FFDF000, 7FFDF000)
> 0263FFF0  77F1BA06  (00401000, 00000000, 000000B0, 00000100)
> End of stack trace

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Send instant messages & get email alerts with Yahoo! Messenger.
http://im.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]